%define name	luma
%define version 2.4
%define prerelease pre2
%define rel 2
%define release %mkrel 1.pre2.%rel

Name: 	 	%{name}
Summary: 	LDAP browser, utility and more
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/luma/%{name}-%{version}%{prerelease}.tar.bz2
URL:		http://luma.sourceforge.net/
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	PyQt >= 3.7 , python-ldap >= 2.0.1
Requires:	python-sip
Requires:   py-smbpasswd
%py_requires
BuildArch:	noarch

%description
Luma is a graphical utility for accessing and managing data
stored on LDAP servers. It is written in Python, using PyQt
and python-ldap. Plugin-support is included and useful
widgets with LDAP-functionality for easy creation of plugins
are delivered.

%prep
%setup -q -n %{name}-%{version}%{prerelease}

#%build
#
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
./install.py --prefix=$RPM_BUILD_ROOT%{_prefix}

# fix symlink, we need DESTDIR support for install.py
rm -f %{buildroot}%{_bindir}/luma
ln -s %{_prefix}/lib/luma/luma.py %{buildroot}%{_bindir}/luma

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="Luma" \
longtitle="LDAP browser, utility and more" \
section="System/Configuration/Other" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Luma
Comment=LDAP browser, utility and more
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;X-MandrivaLinux-System-Configuration-Other;
EOF

mkdir -p %{buildroot}/{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
ln -s %{_datadir}/%{name}/icons/luma-16.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_datadir}/%{name}/icons/luma-32.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_datadir}/%{name}/icons/luma-48.png %{buildroot}/%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_prefix}/lib/%name
%{_datadir}/luma
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_mandir/man1/*
%doc README



%changelog
* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.4-1.pre2.2mdv2007.0
+ Revision: 88467
- rebuild with python 2.5
- added py-smbpasswd to requires

* Mon Nov 13 2006 Andreas Hasenack <andreas@mandriva.com> 2.4-1.pre2.1mdv2007.0
+ Revision: 83836
- added proper buildrequires for python
- updated to 2.4pre2
- the /usr/lib thing smells like a hack, but it's like
  this upstream. Proper location of python files will
  need a more intrusive patch

* Mon Sep 04 2006 Buchan Milne <bgmilne@mandriva.org> 2.3-3mdv2007.0
+ Revision: 59761
- fix package summary to match menu entry
  fix package group to match menu location
- fix icons in menus
- xdg menu
  fix long title (Luma is Qt-only, not KDE), using description from homepage

  + Andreas Hasenack <andreas@mandriva.com>
    - added requirement for python-sip

* Mon Jul 17 2006 Andreas Hasenack <andreas@mandriva.com> 2.3-2mdv2007.0
+ Revision: 41491
- bump release
- using mkrel
- added svn warning
- import luma-2.3-1mdk


* Tue Mar 14 2006 Buchan Milne <bgmilne@mandriva.org> 2.3-1mdk
- New release 2.3

* Tue Aug 23 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.1-1mdk
- New release 2.2.1

* Tue Aug 16 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- 2.2

* Wed Mar 16 2005 Michael Scherer <misc@mandrake.org> 2.1.2-1mdk
- New release 2.1.2

* Tue Mar 15 2005 Michael Scherer <misc@mandrake.org> 2.1.1-1mdk
- New release 2.1.1

* Thu Mar 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- 2.1

* Tue Feb 15 2005 Michael Scherer <misc@mandrake.org> 2.0.3-1mdk
- New release 2.0.3

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 2.0-1mdk
- New release 2.0

* Mon Dec 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6

* Wed Nov 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.5-1mdk
- 1.5

* Thu Sep 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4-1mdk
- 1.4

* Tue May 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.3-1mdk
- New release 1.3

* Sun Apr 04 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.2-1mdk
- 1.2

